Appearance
Get One Account
GET/public/account/{accountId}Retrieve full details for a specific account, including profile info, platform data, and connection status.
Endpoint Details
- Authentication: Basic Auth (
Authorization: Basic Base64(AccessKey:SecretKey)) - Access Tier: Standard+
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
accountId | string | Yes | The unique ID of the account. |
Example Request
bash
curl -X GET "https://api.repliz.com/public/account/680affa5ce12f2f72916f67e" \
-H "Authorization: Basic $(echo -n 'YOUR_ACCESS_KEY:YOUR_SECRET_KEY' | base64)"javascript
import axios from 'axios';
const accountId = '680affa5ce12f2f72916f67e';
const response = await axios.get(`https://api.repliz.com/public/account/${accountId}`, {
auth: {
username: 'YOUR_ACCESS_KEY',
password: 'YOUR_SECRET_KEY'
}
});
console.log(response.data);javascript
const credentials = btoa('YOUR_ACCESS_KEY:YOUR_SECRET_KEY');
const accountId = '680affa5ce12f2f72916f67e';
const response = await fetch(`https://api.repliz.com/public/account/${accountId}`, {
headers: {
'Authorization': `Basic ${credentials}`
}
});
const data = await response.json();
console.log(data);Response
json
{
"_id": "69800c55117d9be562a32680",
"generatedId": "-000WGDGHFLY9VxPiOHV7MQt752onqsgHnKm",
"name": "Kaboom",
"username": "kaboombakudan",
"picture": "https://p16-sign-sg.tiktokcdn.com/tos-alisg-avt-0068/e77d82e1747fb47fdda23958...",
"isConnected": true,
"type": "tiktok",
"token": {
"access": "",
"refresh": ""
},
"userId": "6879b98097fc8c8a78d1d4c1",
"createdAt": "2026-02-02T02:30:45.329Z",
"updatedAt": "2026-03-20T07:00:01.664Z",
"__v": 0,
"id": "69800c55117d9be562a32680"
}json
{
"code": 404,
"message": "account not found"
}json
{
"code": 401,
"message": "unauthorized"
}